/*
 * Copyright (C) 2022.
 *
 * Centro de Gestion Informatica
 * Direccion de Tecnologias de la Informacion y Comunicacion
 * Universidad Nacional - Costa Rica
 * http://www.una.ac.cr
 * 
 */

/**********************************************************************/
/**********************************************************************/
/*********************       PACKAGE     ******************************/
/**********************************************************************/
/**********************************************************************/
package cr.ac.una.cgi.sigesa.ppi.ppe.domain;


/**********************************************************************/
/**********************************************************************/
/*********************       IMPORT'S    ******************************/
/**********************************************************************/
/**********************************************************************/

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++                BD           ++++++++++++++++++++++++++*/
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;
import org.hibernate.annotations.Subselect;

import javax.persistence.Id;
/*import javax.persistence.Temporal;
import java.util.Date;
*/

/**********************************************************************/
/**********************************************************************/
/*********************    DOCUMENTACIÓN  ******************************/
/**********************************************************************/
/**********************************************************************/
/**
 * Entity para la consulta de la vista {@link PPI.VISTA_CONSUL_PLAN_ESTRATEGICO}
 *
 * @author Gustavo Matamoros González´
 * @fecha 01/11/2022
 * @version 1.0.0 
 */

/**********************************************************************/
/**********************************************************************/
/*********************    CONFIGURACIÓN  ******************************/
/**********************************************************************/
/**********************************************************************/
@Entity
@Subselect("SELECT * FROM VISTA_CONSUL_PLAN_ESTRATEGICO")


/**********************************************************************/
/**********************************************************************/
/****************    DEFINICIÓN DE CLASE  *****************************/
/**********************************************************************/
/**********************************************************************/

public class VistaPlanEstrategico implements Serializable {
    

    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    /*+++++++++++++      CAMPOS: DEFINICIÓN     ++++++++++++++++++++++++++*/
    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    @Id
    @Column(name = "ID")
    private int id;



    // ***************************************
    // CAMPO: EJE_ESTRATEGICO_PLP
    // ***************************************
    @Column(name = "EJE_ESTRATEGICO_PLP")
    private String ejeEstrategicoPLP;


    // ***************************************
    // CAMPO: OBJETIVO_ESTRATEGICO_PLP
    // ***************************************
    @Column(name = "OBJETIVO_ESTRATEGICO_PLP")
    private String objetivoEstrategicoPLP;
    

    // ***************************************
    // CAMPO: EJES_TRANSVERSALES_PLP
    // ***************************************
    @Column(name = "EJES_TRANSVERSALES_PLP")
    private String ejesTransversalesPLP;
    

    // ***************************************
    // CAMPO: PRIORIDAD_ESTRATEGICA_PMP
    // ***************************************
    @Column(name = "PRIORIDAD_ESTRATEGICA_PMP")
    private String prioridadEstrategicaPMP;


    // ***************************************
    // CAMPO: OBJETIVO_ESTRATEGICO_PMP
    // ***************************************
    @Column(name = "OBJETIVO_ESTRATEGICO_PMP")
    private String objetivoEstrategicoPMP;
    

    // ***************************************
    // CAMPO: META_PMP
    // ***************************************
    @Column(name = "META_PMP")
    private String metaPMP;
    

    // ***************************************
    // CAMPO: AMBITO_ACCION_UNIVERSITARIA
    // ***************************************
    @Column(name = "AMBITO_ACCION_UNIVERSITARIA")
    private String ambitoAccionUniversitaria;
   

    // ***************************************
    // CAMPO: ACCION_ESTRATEGICA_PMP
    // ***************************************
    @Column(name = "ACCION_ESTRATEGICA_PMP")
    private String accionEstrategicaPMP;


    // ***************************************
    // CAMPO: UNIDAD_EJECUTORA_ACCION_PMP
    // ***************************************
    @Column(name = "UNIDAD_EJECUTORA_ACCION_PMP")
    private String unidadEjecutoraAccionPMP;


    // ***************************************
    // CAMPO: APORTE_ESTRATEGICO_PMP
    // ***************************************
    @Column(name = "APORTE_ESTRATEGICO_PMP")
    private String aporteEstrategicoPMP;


    // ***************************************
    // CAMPO: UNIDAD_EJECUTORA_APORTE_PMP
    // ***************************************
    @Column(name = "UNIDAD_EJECUTORA_APORTE_PMP")
    private String unidadEjecutoraAportePMP;

 
    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    /*+++++++++++++      CAMPOS:  GET/SET       ++++++++++++++++++++++++++*/
    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
    /*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

    // ***************************************
    // CAMPO: ID
    // ***************************************
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    // ***************************************
    // CAMPO: EJE_ESTRATEGICO_PLP
    // ***************************************
    public String getEjeEstrategicoPLP() {
        return ejeEstrategicoPLP;
    }

    public void setEjeEstrategicoPLP(String ejeEstrategicoPLP) {
        this.ejeEstrategicoPLP = ejeEstrategicoPLP;
    }

    // ***************************************
    // CAMPO: OBJETIVO_ESTRATEGICO_PLP
    // ***************************************
    public String getObjetivoEstrategicoPLP() {
        return objetivoEstrategicoPLP;
    }

    public void setObjetivoEstrategicoPLP(String objetivoEstrategicoPLP) {
        this.objetivoEstrategicoPLP = objetivoEstrategicoPLP;
    }


    // ***************************************
    // CAMPO: EJES_TRANSVERSALES_PLP
    // ***************************************
    public String getEjesTransversalesPLP() {
        return ejesTransversalesPLP;
    }

    public void setEjesTransversalesPLP(String ejesTransversalesPLP) {
        this.ejesTransversalesPLP = ejesTransversalesPLP;
    }

 
    // ***************************************
    // CAMPO: PRIORIDAD_ESTRATEGICA_PMP
    // ***************************************
    public String getPrioridadEstrategicaPMP() {
        return prioridadEstrategicaPMP;
    }
    public void setPrioridadEstrategicaPMP(String prioridadEstrategicaPMP) {
        this.prioridadEstrategicaPMP = prioridadEstrategicaPMP;
    }


    // ***************************************
    // CAMPO: OBJETIVO_ESTRATEGICO_PMP
    // ***************************************
    public String getObjetivoEstrategicoPMP() {
        return objetivoEstrategicoPMP;
    }

    public void setObjetivoEstrategicoPMP(String objetivoEstrategicoPMP) {
        this.objetivoEstrategicoPMP = objetivoEstrategicoPMP;
    }

    // ***************************************
    // CAMPO: META_PMP
    // ***************************************
    public String getMetaPMP() {
        return metaPMP;
    }

    public void setMetaPMP(String metaPMP) {
        this.metaPMP = metaPMP;
    }

    // ***************************************
    // CAMPO: AMBITO_ACCION_UNIVERSITARIA
    // ***************************************
    public String getAmbitoAccionUniversitaria() {
        return ambitoAccionUniversitaria;
    }
    public void setAmbitoAccionUniversitaria(String ambitoAccionUniversitaria) {
        this.ambitoAccionUniversitaria = ambitoAccionUniversitaria;
    }

    // ***************************************
    // CAMPO: ACCION_ESTRATEGICA_PMP
    // ***************************************
    public String getAccionEstrategicaPMP() {
        return accionEstrategicaPMP;
    }

    public void setAccionEstrategicaPMP(String accionEstrategicaPMP) {
        this.accionEstrategicaPMP = accionEstrategicaPMP;
    }

    // ***************************************
    // CAMPO: UNIDAD_EJECUTORA_ACCION_PMP
    // ***************************************
    public String getUnidadEjecutoraAccionPMP() {
        return unidadEjecutoraAccionPMP;
    }

    public void setUnidadEjecutoraAccionPMP(String unidadEjecutoraAccionPMP) {
        this.unidadEjecutoraAccionPMP = unidadEjecutoraAccionPMP;
    }

 
    // ***************************************
    // CAMPO: APORTE_ESTRATEGICO_PMP
    // ***************************************
    public String getAporteEstrategicoPMP() {
        return aporteEstrategicoPMP;
    }

    public void setAporteEstrategicoPMP(String aporteEstrategicoPMP) {
        this.aporteEstrategicoPMP = aporteEstrategicoPMP;
    }

    // ***************************************
    // CAMPO: UNIDAD_EJECUTORA_APORTE_PMP
    // ***************************************
    public String getUnidadEjecutoraAportePMP() {
        return unidadEjecutoraAportePMP;
    }

    public void setUnidadEjecutoraAportePMP(String unidadEjecutoraAportePMP) {
        this.unidadEjecutoraAportePMP = unidadEjecutoraAportePMP;
    }

    
    
    
}
/**********************************************************************/
/**********************************************************************/
/**************** FIN DEFINICIÓN DE CLASE  ****************************/
/**********************************************************************/
/**********************************************************************/