/*
 * Copyright (c) 2022.
 *
 * Centro de Gestion Informatica
 * Direccion de Tecnologias de la Informacion y Comunicacion
 * Universidad Nacional - Costa Rica
 * http://www.una.ac.cr
 *
 */

/**********************************************************************/
/**********************************************************************/
/*********************       PACKAGE     ******************************/
/**********************************************************************/
/**********************************************************************/

package cr.ac.una.cgi.sigesa.ppi.ppe.view.model;


/**********************************************************************/
/**********************************************************************/
/*********************       IMPORT'S    ******************************/
/**********************************************************************/
/**********************************************************************/


/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++             SDK-UNA         ++++++++++++++++++++++++++*/
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
import cr.ac.una.cgi.sdkuna.view.commons.CRUD;
import cr.ac.una.cgi.sdkuna.view.commons.CRUDColumn;
import cr.ac.una.cgi.sdkuna.view.commons.CRUDImpl;

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*++++++++++++         DOMAIN Y SERVICE           ++++++++++++++++++++*/
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
import cr.ac.una.cgi.sigesa.ppi.ppe.domain.VistaPlanEstrategico;
import cr.ac.una.cgi.sigesa.ppi.ppe.service.VistaPlanEstrategicoService;

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++       SPRING-BOOT           ++++++++++++++++++++++++++*/
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;


/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++          CAMPOS             ++++++++++++++++++++++++++*/
/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;



/**********************************************************************/
/**********************************************************************/
/*********************    DOCUMENTACIÓN  ******************************/
/**********************************************************************/
/**********************************************************************/
/**
 * Spring Bean Session para la administración de la entidad {@link VistaPlanEstrategico}
 *
 * @author Gustavo Matamoros González
 * @fecha 01/11/2022
 */


/**********************************************************************/
/**********************************************************************/
/*********************    CONFIGURACIÓN  ******************************/
/**********************************************************************/
/**********************************************************************/
@Component
@Scope("session")


/**********************************************************************/
/**********************************************************************/
/****************    DEFINICIÓN DE CLASE  *****************************/
/**********************************************************************/
/**********************************************************************/


public class VistaPlanEstrategicoBean extends CRUDImpl<VistaPlanEstrategico, VistaPlanEstrategicoService> implements CRUD {

    @PostConstruct

    /*************************************************************************************************/
    /*************************************************************************************************/
    /******************************      FUNCIÓN INIT    *********************************************/
    /*************************************************************************************************/
    /*************************************************************************************************/
    public void init() {
        List<CRUDColumn> columns = new ArrayList<>();

        CRUDColumn column1  = new CRUDColumn("ejeEstrategicoPLP",           getI18n("vistaPlanEstrategico_ejeEstrategicoPLP_header"),           true);
        CRUDColumn column2  = new CRUDColumn("objetivoEstrategicoPLP",      getI18n("vistaPlanEstrategico_objetivoEstrategicoPLP_header"),      true);
        CRUDColumn column3  = new CRUDColumn("ejesTransversalesPLP",        getI18n("vistaPlanEstrategico_ejesTransversalesPLP_header"),        true);
        CRUDColumn column4  = new CRUDColumn("prioridadEstrategicaPMP",     getI18n("vistaPlanEstrategico_prioridadEstrategicaPMP_header"),     true);
        CRUDColumn column5  = new CRUDColumn("objetivoEstrategicoPMP",      getI18n("vistaPlanEstrategico_objetivoEstrategicoPMP_header"),      true);
        CRUDColumn column6  = new CRUDColumn("metaPMP",                     getI18n("vistaPlanEstrategico_metaPMP_header"),                     true);
        CRUDColumn column7  = new CRUDColumn("ambitoAccionUniversitaria",   getI18n("vistaPlanEstrategico_ambitoAccionUniversitaria_header"),   true);
        CRUDColumn column8  = new CRUDColumn("accionEstrategicaPMP",        getI18n("vistaPlanEstrategico_accionEstrategicaPMP_header"),        true);
        CRUDColumn column9  = new CRUDColumn("unidadEjecutoraAccionPMP",    getI18n("vistaPlanEstrategico_unidadEjecutoraAccionPMP_header"),    true);
        CRUDColumn column10 = new CRUDColumn("aporteEstrategicoPMP",        getI18n("vistaPlanEstrategico_aporteEstrategicoPMP_header"),        true);
        CRUDColumn column11 = new CRUDColumn("unidadEjecutoraAportePMP",    getI18n("vistaPlanEstrategico_unidadEjecutoraAportePMP_header"),    true);



        columns.add(column1);
        columns.add(column2);
        columns.add(column3);
        columns.add(column4);
        columns.add(column5);
        columns.add(column6);
        columns.add(column7);
        columns.add(column8);
        columns.add(column9);
        columns.add(column10);
        columns.add(column11);


        this.setTableColumns(columns);
    }
    /*************************************************************************************************/
    /*************************************************************************************************/
    /******************************  FIN  FUNCIÓN INIT   *********************************************/
    /*************************************************************************************************/
    /*************************************************************************************************/




}
/**********************************************************************/
/**********************************************************************/
/***************      FIN DEFINICIÓN DE CLASE   ***********************/
/**********************************************************************/
/**********************************************************************/